API Gateway
Overview
SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.
본 가이드는 API Gateway 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다.
API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.
Version
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| Version | Status | Not Before |
|---|
| 1.3 | CURRENT | - |
| 1.2 | SUPPORTED | 20260630 |
| 1.1 | DEPRECATED | 20260430 |
| 1.0 | DEPRECATED | 20251231 |
OpenAPI URL
https://apigateway.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
API Version History
1.3
리소스 정책 기능이 추가되었습니다.
List Resources API의 응답이 변경되었습니다.
Get Resource API의 응답이 변경되었습니다.
List Methods API의 응답이 변경되었습니다.
Create Method API의 요청이 변경되었습니다.
Set Method API의 요청이 변경되었습니다.
Get Method API의 응답이 변경되었습니다.
List Stages API의 응답이 변경되었습니다.
Get Stage API의 응답이 변경되었습니다.
변경사항
- [신규]
GET /apis/{api_id}/resource-policies - Show Resource Policy API가 추가되었습니다. - [신규]
PUT /apis/{api_id}/resource-policies - Set Resource Policy API가 추가되었습니다. - [신규]
DELETE /apis/{api_id}/resource-policies - Delete Resource Policy API가 추가되었습니다. - [변경]
GET /apis/{api_id}/resources - 응답 시, 아래와 같은 필드가 추가됩니다. - [변경]
GET /apis/{api_id}/resources/{resource_id} - 응답 시, 아래와 같은 필드가 추가됩니다. - [변경]
GET /apis/{api_id}/resources/{resource_id}/methods - 응답 시, 아래와 같은 필드가 추가됩니다. - [변경]
POST /apis/{api_id}/resources/{resource_id}/methods - 요청 시, 아래와 같은 필드가 추가됩니다. - [변경]
PUT /apis/{api_id}/resources/{resource_id}/methods/{method_type} - 요청 시, 아래와 같은 필드가 추가됩니다. - [변경]
GET /apis/{api_id}/resources/{resource_id}/methods/{method_type} - 응답 시, 아래와 같은 필드가 추가됩니다. - [변경]
GET /apis/{api_id}/stages - 응답 시, 아래와 같은 필드가 추가됩니다.descriptionapi_key_requiredusage_plan_nameuesage_plan_idusage_plan_rateusage_plan_limitusage_plan_api_keys
- [변경]
GET /apis/{api_id}/stages - 응답 시, 아래와 같은 필드가 삭제됩니다. - [변경]
GET /apis/{api_id}/stages - 응답 시, methods 필드의 형태가 아래처럼 변경됩니다.- 기존
"methods": [{"type": GET", "api_key_required": true}] - 변경
"methods": [{"type": GET", "api_key_required": true, "iam_enabled": true}]
- [변경]
GET /apis/{api_id}/stages/{stage_name} - 응답 시, 아래와 같은 필드가 삭제됩니다.
1.2
PrivateLink 기능이 추가되었습니다.
List Apis API의 응답이 변경되었습니다.
Create Api API의 요청이 변경되었습니다.
Get Api API의 응답이 변경되었습니다.
List Resources API의 응답이 변경되었습니다.
Get Resource API의 응답이 변경되었습니다.
List Methods API의 응답이 변경되었습니다.
Create Method API의 요청이 변경되었습니다.
Set Method API의 요청이 변경되었습니다.
Get Method API의 응답이 변경되었습니다.
변경사항
- [신규]
GET /apis/{api_id}/connected-endpoints - List Connected PrivateLink Endpoints API가 추가되었습니다. - [신규]
GET /privatelink-endpoints - List PrivateLink Endpoints API가 추가되었습니다. - [신규]
POST /privatelink-endpoints - Create PrivateLink Endpoint API가 추가되었습니다. - [신규]
DELETE /privatelink-endpoints/{privatelink_endpoint_id} - Delete PrivateLink Endpoint API가 추가되었습니다. - [신규]
PUT /privatelink-endpoints/{privatelink_endpoint_id} - Set PrivateLink Endpoint API가 추가되었습니다. - [신규]
PUT /privatelink-endpoints/{privatelink_endpoint_id}/approval - Approve PrivateLink Endpoint API가 추가되었습니다. - [신규]
PUT /privatelink-endpoints/{privatelink_endpoint_id}/connection - Connect PrivateLink Endpoint API가 추가되었습니다. - [신규]
PUT /privatelink-endpoints/{privatelink_endpoint_id}/request - Request PrivateLink Endpoint API가 추가되었습니다. - [신규]
GET /privatelink-endpoints/{privatelink_endpoint_id} - Show PrivateLink Endpoint API가 추가되었습니다. - [변경]
GET /apis - 응답 시, 아래와 같은 필드가 추가됩니다. - [변경]
POST /apis - 요청 시, 아래와 같은 필드가 추가됩니다. - [변경]
GET /apis/{api_id} - 응답 시, 아래와 같은 필드가 추가됩니다.endpoint_typeprivatelink_service_id
- [변경]
GET /apis/{api_id}/resources - 응답 시, 아래와 같은 필드가 추가됩니다. - [변경]
GET /apis/{api_id}/resources/{resource_id} - 응답 시, 아래와 같은 필드가 추가됩니다. - [변경]
GET /apis/{api_id}/resources/{resource_id}/methods - 응답 시, 아래와 같은 필드가 추가됩니다. - [변경]
POST /apis/{api_id}/resources/{resource_id}/methods - 요청 시, 아래와 같은 필드가 추가됩니다. - [변경]
PUT /apis/{api_id}/resources/{resource_id}/methods/{method_type} - 요청 시, 아래와 같은 필드가 추가됩니다. - [변경]
GET /apis/{api_id}/resources/{resource_id}/methods/{method_type} - 응답 시, 아래와 같은 필드가 추가됩니다.
1.1
사용량 정책 기능이 추가되었습니다.
API Key 관리 기능이 추가되었습니다.
Report 기능이 추가되었습니다.
List Resources API의 응답이 변경되었습니다.
Get Resource API의 응답이 변경되었습니다.
List Methods API의 응답이 변경되었습니다.
Create Method API의 요청이 변경되었습니다.
Set Method API의 요청이 변경되었습니다.
Get Method API의 응답이 변경되었습니다.
List Stages API의 응답이 변경되었습니다.
Set Stage Configuration API의 요청이 변경되었습니다.
Get Stage API의 응답이 변경되었습니다.
변경사항
- [신규]
GET /apis/{api_id}/usage-palns - List Usage Plans API가 추가되었습니다. - [신규]
POST /apis/{api_id}/usage-palns - Create Usage Plan API가 추가되었습니다. - [신규]
PUT /apis/{api_id}/usage-plans/{usage_plan_id}/description - Set Usage Plan Description API가 추가되었습니다. - [신규]
PUT /apis/{api_id}/usage-plans/{usage_plan_id}/quota - Set Usage Plan Quota API가 추가되었습니다. - [신규]
DELETE /apis/{api_id}/usage-plans/{usage_plan_id} - Delete Usage Plan API가 추가되었습니다. - [신규]
GET /apis/{api_id}/usage-plans/{usage_plan_id} - Show Usage Plan API가 추가되었습니다. - [신규]
GET /apis/{api_id}/usage-palns/{usage_plan_id}/api-keys - List Api Keys API가 추가되었습니다. - [신규]
POST /apis/{api_id}/usage-palns/{usage_plan_id}/api-keys - Create APi Key API가 추가되었습니다. - [신규]
PUT /apis/{api_id}/usage-plans/{usage_plan_id}/api-keys/{api_key_id}/description - Set Api Key Description API가 추가되었습니다. - [신규]
DELETE /apis/{api_id}/usage-plans/{usage_plan_id}/api-keys/{api_key_id} - Delete Api Key API가 추가되었습니다. - [신규]
GET /apis/{api_id}/reports - List Reports API가 추가되었습니다. - [변경]
GET /apis/{api_id}/resources - 응답 시, 아래와 같은 필드가 추가됩니다.function_nameapi_key_required
- [변경]
GET /apis/{api_id}/resources/{resource_id} - 응답 시, 아래와 같은 필드가 추가됩니다.function_nameapi_key_required
- [변경]
GET /apis/{api_id}/resources/{resource_id}/methods - 응답 시, 아래와 같은 필드가 추가됩니다.function_nameapi_key_required
- [변경]
POST /apis/{api_id}/resources/{resource_id}/methods - 요청 시, 아래와 같은 필드가 추가됩니다. - [변경]
PUT /apis/{api_id}/resources/{resource_id}/methods/{method_type} - 요청 시, 아래와 같은 필드가 추가됩니다.api_key_requiredendpoint_urlfunction_idintegration_type
- [변경]
GET /apis/{api_id}/resources/{resource_id}/methods/{method_type} - 응답 시, 아래와 같은 필드가 추가됩니다.function_nameapi_key_required
- [변경]
GET /apis/{api_id}/stages - 응답 시, 아래와 같은 필드가 추가됩니다.descriptionapi_key_requiredusage_plan_nameuesage_plan_idusage_plan_rateusage_plan_limitusage_plan_api_keys
- [변경]
GET /apis/{api_id}/stages - 응답 시, 아래와 같은 필드가 삭제됩니다. - [변경]
GET /apis/{api_id}/stages - 응답 시, methods 필드의 형태가 아래처럼 변경됩니다.- 기존
"methods": ["GET", "POST"] - 변경
"methods": [{"type": GET", "api_key_required": true}]
- [변경]
PUT /apis/{api_id}/stages/{stage_name}/config - 요청 시, 아래와 같은 필드가 추가됩니다.descriptionusage_plan_idconnected_api_keys
- [변경]
PUT /apis/{api_id}/stages/{stage_name}/config - 요청 시, 아래와 같은 필드가 삭제됩니다. - [변경]
GET /apis/{api_id}/stages/{stage_name} - 응답 시, 아래와 같은 필드가 추가됩니다.descriptionapi_key_requiredusage_plan_nameuesage_plan_idusage_plan_rateusage_plan_limitusage_plan_api_keys
- [변경]
GET /apis/{api_id}/stages/{stage_name} - 응답 시, 아래와 같은 필드가 삭제됩니다.
1.0
API Gateway가 출시되었습니다.
변경사항
- [신규]
GET /apis - List APis API가 추가되었습니다. - [신규]
POST /apis - Create Api API가 추가되었습니다. - [신규]
PUT /apis/{api_id}/description - Set Api Description API가 추가되었습니다. - [신규]
DELETE /apis/{api_id} - Delete Api API가 추가되었습니다. - [신규]
GET /apis/{api_id} - Show Api API가 추가되었습니다. - [신규]
GET /apis/{api_id}/deployments - List Api Deployments API가 추가되었습니다. - [신규]
POST /apis/{api_id}/deployments - Create Api Deployment API가 추가되었습니다. - [신규]
GET /apis/{api_id}/resources - List Resources API가 추가되었습니다. - [신규]
POST /apis/{api_id}/resources/{parent_id} - Create Resource API가 추가되었습니다. - [신규]
DELETE /apis/{api_id}/resources/{resource_id} - Delete Resource API가 추가되었습니다. - [신규]
GET /apis/{api_id}/resources/{resource_id} - Show Resource API가 추가되었습니다. - [신규]
GET /apis/{api_id}/resources/{resource_id}/methods - List Methods API가 추가되었습니다. - [신규]
POST /apis/{api_id}/resources/{resource_id}/methods - Create Method API가 추가되었습니다. - [신규]
PUT /apis/{api_id}/resources/{resource_id}/methods/{method_type} - Set Method API가 추가되었습니다. - [신규]
DELETE /apis/{api_id}/resources/{resource_id}/methods/{method_type} - Delete Method API가 추가되었습니다. - [신규]
GET /apis/{api_id}/resources/{resource_id}/methods/{method_type} - Show Method API가 추가되었습니다. - [신규]
GET /apis/{api_id}/stages - List Stages API가 추가되었습니다. - [신규]
POST /apis/{api_id}/stages - Create Stage API가 추가되었습니다. - [신규]
DELETE /apis/{api_id}/stages/{stage_name} - Delete Stage API가 추가되었습니다. - [신규]
GET /apis/{api_id}/stages/{stage_name} - Show Stage API가 추가되었습니다. - [신규]
PUT /apis/{api_id}/stages/{stage_name}/deployment - Set Stage Active Deployment API가 추가되었습니다. - [신규]
PUT /apis/{api_id}/stages/{stage_name}/config - Set Stage Configuration API가 추가되었습니다. - [신규]
GET /apis/{api_id}/auths - List Auths API가 추가되었습니다. - [신규]
POST /apis/{api_id}/auths - Create Auth API가 추가되었습니다. - [신규]
PUT /apis/{api_id}/auths/{auth_id} - Set Auth API가 추가되었습니다. - [신규]
DELETE /apis/{api_id}/auths/{auth_id} - Delete Auth API가 추가되었습니다. - [신규]
GET /apis/{api_id}/auths/{auth_id} - Show Auth API가 추가되었습니다. - [신규]
GET /apis/{api_id}/access-controls - List AccessControls API가 추가되었습니다. - [신규]
POST /apis/{api_id}/access-controls - Create AccessControl API가 추가되었습니다. - [신규]
PUT /apis/{api_id}/access-controls/{access_control_id} - Set AccessControl API가 추가되었습니다. - [신규]
DELETE /apis/{api_id}/access-controls/{access_control_id} - Delete AccessControl API가 추가되었습니다. - [신규]
GET /apis/{api_id}/access-controls/{access_control_id} - Show AccessControl API가 추가되었습니다.
1 - APIs
1.1 - Approve PrivateLink Endpoint
1.1.1 - 1.3
put /v1/privatelink-endpoints/{privatelink_endpoint_id}/approval
Description
PrivateLink 엔드포인트를 승인한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | privatelink_endpoint_id required | PrivateLink 엔드포인트 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| PrivateLinkEndpointApprovalRequest | |
Responses
Example HTTP request
Request path
/v1/privatelink-endpoints/{privatelink_endpoint_id}/approval
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Request body
{
"api_id": "27bb070b564349f8a31cc60734cc36a5",
"type": "CANCEL"
}
Example HTTP response
Response 200
{
"privatelink_endpoint": {
"created_at": "2024-05-17T00:23:17Z",
"id": "27bb070b564349f8a31cc60734cc36a5",
"status": "Active"
}
}
1.1.2 - 1.2
put /v1/privatelink-endpoints/{privatelink_endpoint_id}/approval
Description
PrivateLink 엔드포인트를 승인한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | privatelink_endpoint_id required | PrivateLink 엔드포인트 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| PrivateLinkEndpointApprovalRequest | |
Responses
Example HTTP request
Request path
/v1/privatelink-endpoints/{privatelink_endpoint_id}/approval
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Request body
{
"api_id": "27bb070b564349f8a31cc60734cc36a5",
"type": "CANCEL"
}
Example HTTP response
Response 200
{
"privatelink_endpoint": {
"created_at": "2024-05-17T00:23:17Z",
"id": "27bb070b564349f8a31cc60734cc36a5",
"status": "Active"
}
}
1.2 - Connect PrivateLink Endpoint
1.2.1 - 1.3
put /v1/privatelink-endpoints/{privatelink_endpoint_id}/connection
Description
PrivateLink 엔드포인트를 연결한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | privatelink_endpoint_id required | PrivateLink 엔드포인트 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| PrivateLinkEndpointConnectionRequest | |
Responses
Example HTTP request
Request path
/v1/privatelink-endpoints/{privatelink_endpoint_id}/connection
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Request body
{
"api_id": "27bb070b564349f8a31cc60734cc36a5",
"type": "CANCEL"
}
Example HTTP response
Response 200
{
"privatelink_endpoint": {
"created_at": "2024-05-17T00:23:17Z",
"id": "27bb070b564349f8a31cc60734cc36a5",
"status": "Active"
}
}
1.2.2 - 1.2
put /v1/privatelink-endpoints/{privatelink_endpoint_id}/connection
Description
PrivateLink 엔드포인트를 연결한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | privatelink_endpoint_id required | PrivateLink 엔드포인트 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| PrivateLinkEndpointConnectionRequest | |
Responses
Example HTTP request
Request path
/v1/privatelink-endpoints/{privatelink_endpoint_id}/connection
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Request body
{
"api_id": "27bb070b564349f8a31cc60734cc36a5",
"type": "CANCEL"
}
Example HTTP response
Response 200
{
"privatelink_endpoint": {
"created_at": "2024-05-17T00:23:17Z",
"id": "27bb070b564349f8a31cc60734cc36a5",
"status": "Active"
}
}
1.3 - Create AccessControl
1.3.1 - 1.3
post /v1/apis/{api_id}/access-controls
Description
접근제어를 생성한다
상태
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/access-controls
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Request body
{
"allowed_ip_addr": [
"127.0.0.1/24,192.168.127.12"
],
"connected_stages": [
"dev,stg"
],
"description": "description",
"name": "DenyTest"
}
Example HTTP response
Response 201
{
"allowed_ip_addr": [
"127.0.0.1/24,192.168.127.12"
],
"connected_stages": [
"dev,stg"
],
"created_at": "2024-05-19T00:23:17Z",
"description": "",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "DenyTest"
}
1.3.2 - 1.2
post /v1/apis/{api_id}/access-controls
Description
접근제어를 생성한다
상태
ACTIVE (SUPPORTED)
Parameters
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/access-controls
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Request body
{
"allowed_ip_addr": [
"127.0.0.1/24,192.168.127.12"
],
"connected_stages": [
"dev,stg"
],
"description": "description",
"name": "DenyTest"
}
Example HTTP response
Response 201
{
"allowed_ip_addr": [
"127.0.0.1/24,192.168.127.12"
],
"connected_stages": [
"dev,stg"
],
"created_at": "2024-05-19T00:23:17Z",
"description": "",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "DenyTest"
}
1.3.3 - 1.1
post /v1/apis/{api_id}/access-controls
Description
접근제어를 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/access-controls
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Request body
{
"allowed_ip_addr": [
"127.0.0.1/24,192.168.127.12"
],
"connected_stages": [
"dev,stg"
],
"description": "description",
"name": "DenyTest"
}
Example HTTP response
Response 201
{
"allowed_ip_addr": [
"127.0.0.1/24,192.168.127.12"
],
"connected_stages": [
"dev,stg"
],
"created_at": "2024-05-19T00:23:17Z",
"description": "",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "DenyTest"
}
1.3.4 - 1.0
post /v1/apis/{api_id}/access-controls
Description
접근제어를 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/access-controls
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Request body
{
"allowed_ip_addr": [
"127.0.0.1/24,192.168.127.12"
],
"connected_stages": [
"dev,stg"
],
"description": "description",
"name": "DenyTest"
}
Example HTTP response
Response 201
{
"allowed_ip_addr": [
"127.0.0.1/24,192.168.127.12"
],
"connected_stages": [
"dev,stg"
],
"created_at": "2024-05-19T00:23:17Z",
"description": "",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "DenyTest"
}
1.4 - Create Api
1.4.1 - 1.3
post /v1/apis
Description
API를 생성한다
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | ApiCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Request body
{
"description": "description",
"endpoint_type": "REGION",
"id": "",
"name": "test-api",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 202
{
"description": "Description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "test-api"
}
1.4.2 - 1.2
post /v1/apis
Description
API를 생성한다
상태
ACTIVE (SUPPORTED)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | ApiCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Request body
{
"description": "description",
"endpoint_type": "REGION",
"id": "",
"name": "test-api",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 202
{
"description": "Description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "test-api"
}
1.4.3 - 1.1
post /v1/apis
Description
API를 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | ApiCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Request body
{
"description": "description",
"id": "",
"name": "test-api",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 202
{
"description": "Description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "test-api"
}
1.4.4 - 1.0
post /v1/apis
Description
API를 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | ApiCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Request body
{
"description": "description",
"id": "",
"name": "test-api",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 202
{
"description": "Description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "test-api"
}
1.5 - Create Api Deployment
1.5.1 - 1.3
post /v1/apis/{api_id}/deployments
Description
API를 배포한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 31e749b7b260868f441e862b
| string | None |
| body | body required |
| ApiDeploymentRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/deployments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Request body
{
"description": "description",
"stage_name": "test-stage",
"stage_type": "new"
}
Example HTTP response
Response 200
{
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description"
}
1.5.2 - 1.2
post /v1/apis/{api_id}/deployments
Description
API를 배포한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 31e749b7b260868f441e862b
| string | None |
| body | body required |
| ApiDeploymentRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/deployments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Request body
{
"description": "description",
"stage_name": "test-stage",
"stage_type": "new"
}
Example HTTP response
Response 200
{
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description"
}
1.5.3 - 1.1
post /v1/apis/{api_id}/deployments
Description
API를 배포한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 31e749b7b260868f441e862b
| string | None |
| body | body required |
| ApiDeploymentRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/deployments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Request body
{
"description": "description",
"stage_name": "test-stage",
"stage_type": "new"
}
Example HTTP response
Response 200
{
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description"
}
1.5.4 - 1.0
post /v1/apis/{api_id}/deployments
Description
API를 배포한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 31e749b7b260868f441e862b
| string | None |
| body | body required |
| ApiDeploymentRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/deployments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Request body
{
"description": "description",
"stage_name": "test-stage",
"stage_type": "new"
}
Example HTTP response
Response 200
{
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description"
}
1.6 - Create Api Key
1.6.1 - 1.3
post /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys
Description
API Key를 생성한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | usage_plan_id required | 사용량 정책 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| ApiKeyCreateRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Request body
{
"description": "description",
"name": "api-key-name"
}
Example HTTP response
Response 200
{
"api_key": {
"created_at": "2024-01-15T10:30:00.000Z",
"description": "description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"key": "key",
"name": "api-key-name"
}
}
1.6.2 - 1.2
post /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys
Description
API Key를 생성한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | usage_plan_id required | 사용량 정책 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| ApiKeyCreateRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Request body
{
"description": "description",
"name": "api-key-name"
}
Example HTTP response
Response 200
{
"api_key": {
"created_at": "2024-01-15T10:30:00.000Z",
"description": "description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"key": "key",
"name": "api-key-name"
}
}
1.6.3 - 1.1
post /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys
Description
API Key를 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | usage_plan_id required | 사용량 정책 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| ApiKeyCreateRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Request body
{
"description": "description",
"name": "api-key-name"
}
Example HTTP response
Response 200
{
"api_key": {
"created_at": "2024-01-15T10:30:00.000Z",
"description": "description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"key": "key",
"name": "api-key-name"
}
}
1.7 - Create Auth
1.7.1 - 1.3
post /v1/apis/{api_id}/auths
Description
인증을 생성한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| body | body required |
| AuthCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | AuthCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/auths
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Request body
{
"connected_stages": [
"dev,stg"
],
"expiration_period": "90",
"name": "Token01"
}
Example HTTP response
Response 201
{
"access_token": "***********************************************************"
}
1.7.2 - 1.2
post /v1/apis/{api_id}/auths
Description
인증을 생성한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| body | body required |
| AuthCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | AuthCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/auths
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Request body
{
"connected_stages": [
"dev,stg"
],
"expiration_period": "90",
"name": "Token01"
}
Example HTTP response
Response 201
{
"access_token": "***********************************************************"
}
1.7.3 - 1.1
post /v1/apis/{api_id}/auths
Description
인증을 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| body | body required |
| AuthCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | AuthCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/auths
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Request body
{
"connected_stages": [
"dev,stg"
],
"expiration_period": "90",
"name": "Token01"
}
Example HTTP response
Response 201
{
"access_token": "***********************************************************"
}
1.7.4 - 1.0
post /v1/apis/{api_id}/auths
Description
인증을 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| body | body required |
| AuthCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | AuthCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/auths
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Request body
{
"connected_stages": [
"dev,stg"
],
"expiration_period": "90",
"name": "Token01"
}
Example HTTP response
Response 201
{
"access_token": "***********************************************************"
}
1.8 - Create Method
1.8.1 - 1.3
post /v1/apis/{api_id}/resources/{resource_id}/methods
Description
메서드를 생성한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | resource_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| MethodCreateRequestV1Dot3 | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{resource_id}/methods
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Request body
{
"api_key_required": false,
"endpoint_url": "https://127.0.0.1:8000",
"function_id": "27bb070b564349f8a31cc60734cc36a5",
"iam_enabled": false,
"integration_type": "HTTP",
"method_type": "GET",
"privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
"query_strings": "{'param1': 'value1', 'param2': 'value2'}",
"request_headers": "{'test1' : True}"
}
Example HTTP response
Response 200
{
"methods": [
{
"api_key_required": false,
"endpoint_url": "https://127.0.0.1:8000",
"function_id": "27bb070b564349f8a31cc60734cc36a5",
"function_name": "test-function",
"iam_enabled": false,
"integration_type": "HTTP",
"method_type": "GET",
"privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
"query_strings": "{'param1': 'value1', 'param2': 'value2'}",
"request_headers": "{'test1' : True}",
"request_path": "{users}",
"srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
}
]
}
1.8.2 - 1.2
post /v1/apis/{api_id}/resources/{resource_id}/methods
Description
메서드를 생성한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | resource_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| MethodCreateRequestV1Dot2 | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{resource_id}/methods
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Request body
{
"api_key_required": false,
"endpoint_url": "https://127.0.0.1:8000",
"function_id": "27bb070b564349f8a31cc60734cc36a5",
"iam_enabled": false,
"integration_type": "HTTP",
"method_type": "GET",
"privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
"query_strings": "{'param1': 'value1', 'param2': 'value2'}",
"request_headers": "{'test1' : True}"
}
Example HTTP response
Response 200
{
"methods": [
{
"api_key_required": false,
"endpoint_url": "https://127.0.0.1:8000",
"function_id": "27bb070b564349f8a31cc60734cc36a5",
"function_name": "test-function",
"integration_type": "HTTP",
"method_type": "GET",
"privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
"query_strings": "{'param1': 'value1', 'param2': 'value2'}",
"request_headers": "{'test1' : True}",
"request_path": "{users}",
"srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
}
]
}
1.8.3 - 1.1
post /v1/apis/{api_id}/resources/{resource_id}/methods
Description
메서드를 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | resource_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| MethodCreateRequestV1Dot1 | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{resource_id}/methods
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Request body
{
"api_key_required": false,
"endpoint_url": "https://127.0.0.1:8000",
"function_id": "27bb070b564349f8a31cc60734cc36a5",
"iam_enabled": false,
"integration_type": "HTTP",
"method_type": "GET",
"privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
"query_strings": "{'param1': 'value1', 'param2': 'value2'}",
"request_headers": "{'test1' : True}"
}
Example HTTP response
Response 200
{
"methods": [
{
"api_key_required": false,
"endpoint_url": "https://127.0.0.1:8000",
"function_id": "27bb070b564349f8a31cc60734cc36a5",
"function_name": "test-function",
"integration_type": "HTTP",
"method_type": "GET",
"query_strings": "{'param1': 'value1', 'param2': 'value2'}",
"request_headers": "{'test1' : True}",
"request_path": "{users}",
"srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
}
]
}
1.8.4 - 1.0
post /v1/apis/{api_id}/resources/{resource_id}/methods
Description
메서드를 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | resource_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| MethodCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | MethodListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{resource_id}/methods
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Request body
{
"api_key_required": false,
"endpoint_url": "https://127.0.0.1:8000",
"function_id": "27bb070b564349f8a31cc60734cc36a5",
"iam_enabled": false,
"integration_type": "HTTP",
"method_type": "GET",
"privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
"query_strings": "{'param1': 'value1', 'param2': 'value2'}",
"request_headers": "{'test1' : True}"
}
Example HTTP response
Response 200
{
"methods": [
{
"endpoint_url": "https://127.0.0.1:8000",
"function_id": "27bb070b564349f8a31cc60734cc36a5",
"integration_type": "HTTP",
"method_type": "GET",
"query_strings": "{'param1': 'value1', 'param2': 'value2'}",
"request_headers": "{'test1' : True}",
"request_path": "{users}",
"srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
}
]
}
1.9 - Create PrivateLink Endpoint
1.9.1 - 1.3
post /v1/privatelink-endpoints
Description
PrivateLink 엔드포인트를 생성한다
상태
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/privatelink-endpoints
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Request body
{
"description": "description",
"name": "endpoint",
"privatelink_service_id": "27bb070b564349f8a31cc60734cc36a5"
}
Example HTTP response
Response 200
{
"privatelink_endpoint": {
"created_at": "2024-05-17T00:23:17Z",
"description": "description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "endpoint",
"privatelink_service_id": "27bb070b564349f8a31cc60734cc36a5",
"status": "CANCELED"
}
}
1.9.2 - 1.2
post /v1/privatelink-endpoints
Description
PrivateLink 엔드포인트를 생성한다
상태
ACTIVE (SUPPORTED)
Parameters
Responses
Example HTTP request
Request path
/v1/privatelink-endpoints
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Request body
{
"description": "description",
"name": "endpoint",
"privatelink_service_id": "27bb070b564349f8a31cc60734cc36a5"
}
Example HTTP response
Response 200
{
"privatelink_endpoint": {
"created_at": "2024-05-17T00:23:17Z",
"description": "description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "endpoint",
"privatelink_service_id": "27bb070b564349f8a31cc60734cc36a5",
"status": "CANCELED"
}
}
1.10 - Create Resource
1.10.1 - 1.3
post /v1/apis/{api_id}/resources/{parent_id}
Description
리소스를 생성한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | parent_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| ResourceCreateRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{parent_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Request body
Example HTTP response
Response 200
{
"api_id": "27bb070b564349f8a31cc60734cc36a5",
"id": "27bb070b564349f8a31cc60734cc36a5",
"parent_id": "27bb070b564349f8a31cc60734cc36a5",
"path": ""
}
1.10.2 - 1.2
post /v1/apis/{api_id}/resources/{parent_id}
Description
리소스를 생성한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | parent_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| ResourceCreateRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{parent_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Request body
Example HTTP response
Response 200
{
"api_id": "27bb070b564349f8a31cc60734cc36a5",
"id": "27bb070b564349f8a31cc60734cc36a5",
"parent_id": "27bb070b564349f8a31cc60734cc36a5",
"path": ""
}
1.10.3 - 1.1
post /v1/apis/{api_id}/resources/{parent_id}
Description
리소스를 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | parent_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| ResourceCreateRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{parent_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Request body
Example HTTP response
Response 200
{
"api_id": "27bb070b564349f8a31cc60734cc36a5",
"id": "27bb070b564349f8a31cc60734cc36a5",
"parent_id": "27bb070b564349f8a31cc60734cc36a5",
"path": ""
}
1.10.4 - 1.0
post /v1/apis/{api_id}/resources/{parent_id}
Description
리소스를 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | parent_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| ResourceCreateRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{parent_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Request body
Example HTTP response
Response 200
{
"api_id": "27bb070b564349f8a31cc60734cc36a5",
"id": "27bb070b564349f8a31cc60734cc36a5",
"parent_id": "27bb070b564349f8a31cc60734cc36a5",
"path": ""
}
1.11 - Create Stage
1.11.1 - 1.3
post /v1/apis/{api_id}/stages
Description
스테이지를 생성한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| StageCreateRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/stages
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Request body
{
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description",
"stage_name": "test-stage"
}
Example HTTP response
Response 200
{
"stage": {
"active_deployment": "2024-05-17T00:23:17Z",
"allow_credentials": true,
"allow_headers": [
"Content-Type",
"Authorization"
],
"allow_methods": [
"GET",
"POST",
"PUT",
"PATCH"
],
"allow_origins": [
"*"
],
"api_id": "27bb070b564349f8a31cc60734cc36a5",
"api_key_required": false,
"cors_enabled": false,
"created_at": "2024-01-15T10:30:00.000Z",
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description",
"expose_headers": [
"test1",
"test2"
],
"invoke_url": "http://test.com/stg",
"jwt_enabled": false,
"max_age": 3600,
"name": "test-stage",
"usage_plan_api_keys": [],
"usage_plan_id": "27bb070b564349f8a31cc60734cc36a5",
"usage_plan_limit": 10,
"usage_plan_name": "usage-plan-name",
"usage_plan_rate": "day"
}
}
1.11.2 - 1.2
post /v1/apis/{api_id}/stages
Description
스테이지를 생성한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| StageCreateRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/stages
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Request body
{
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description",
"stage_name": "test-stage"
}
Example HTTP response
Response 200
{
"stage": {
"active_deployment": "2024-05-17T00:23:17Z",
"allow_credentials": true,
"allow_headers": [
"Content-Type",
"Authorization"
],
"allow_methods": [
"GET",
"POST",
"PUT",
"PATCH"
],
"allow_origins": [
"*"
],
"api_id": "27bb070b564349f8a31cc60734cc36a5",
"api_key_required": false,
"cors_enabled": false,
"created_at": "2024-01-15T10:30:00.000Z",
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description",
"expose_headers": [
"test1",
"test2"
],
"invoke_url": "http://test.com/stg",
"jwt_enabled": false,
"max_age": 3600,
"name": "test-stage",
"usage_plan_api_keys": [],
"usage_plan_id": "27bb070b564349f8a31cc60734cc36a5",
"usage_plan_limit": 10,
"usage_plan_name": "usage-plan-name",
"usage_plan_rate": "day"
}
}
1.11.3 - 1.1
post /v1/apis/{api_id}/stages
Description
스테이지를 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| StageCreateRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/stages
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Request body
{
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description",
"stage_name": "test-stage"
}
Example HTTP response
Response 200
{
"stage": {
"active_deployment": "2024-05-17T00:23:17Z",
"allow_credentials": true,
"allow_headers": [
"Content-Type",
"Authorization"
],
"allow_methods": [
"GET",
"POST",
"PUT",
"PATCH"
],
"allow_origins": [
"*"
],
"api_id": "27bb070b564349f8a31cc60734cc36a5",
"api_key_required": false,
"cors_enabled": false,
"created_at": "2024-01-15T10:30:00.000Z",
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description",
"expose_headers": [
"test1",
"test2"
],
"invoke_url": "http://test.com/stg",
"jwt_enabled": false,
"max_age": 3600,
"name": "test-stage",
"usage_plan_api_keys": [],
"usage_plan_id": "27bb070b564349f8a31cc60734cc36a5",
"usage_plan_limit": 10,
"usage_plan_name": "usage-plan-name",
"usage_plan_rate": "day"
}
}
1.11.4 - 1.0
post /v1/apis/{api_id}/stages
Description
스테이지를 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| StageCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | StageShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/stages
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Request body
{
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description",
"stage_name": "test-stage"
}
Example HTTP response
Response 200
{
"stage": {
"active_deployment": "2024-05-17T00:23:17Z",
"allow_credentials": true,
"allow_headers": [
"Content-Type",
"Authorization"
],
"allow_methods": [
"GET",
"POST",
"PUT",
"PATCH"
],
"allow_origins": [
"*"
],
"api_id": "27bb070b564349f8a31cc60734cc36a5",
"cors_enabled": false,
"created_at": "2024-01-15T10:30:00.000Z",
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"expose_headers": [
"test1",
"test2"
],
"invoke_url": "http://test.com/stg",
"ip_restriction_enabled": false,
"jwt_enabled": false,
"max_age": 3600,
"name": "test-stage"
}
}
1.12 - Create Usage Plans
1.12.1 - 1.3
post /v1/apis/{api_id}/usage-plans
Description
사용량 정책을 생성한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| UsagePlanCreateRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Request body
{
"description": "description",
"limit": 10,
"name": "usage-plan-name",
"rate": "day"
}
Example HTTP response
Response 200
{
"usage_plan": {
"api_keys": [],
"created_at": "2024-01-15T10:30:00.000Z",
"created_by_id": "27bb070b564349f8a31cc60734cc36a5",
"created_by_name": "username",
"description": "description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"limit": 10,
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by_id": "27bb070b564349f8a31cc60734cc36a5",
"modified_by_name": "username",
"name": "usage-plan-name",
"rate": "day"
}
}
1.12.2 - 1.2
post /v1/apis/{api_id}/usage-plans
Description
사용량 정책을 생성한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| UsagePlanCreateRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Request body
{
"description": "description",
"limit": 10,
"name": "usage-plan-name",
"rate": "day"
}
Example HTTP response
Response 200
{
"usage_plan": {
"api_keys": [],
"created_at": "2024-01-15T10:30:00.000Z",
"created_by_id": "27bb070b564349f8a31cc60734cc36a5",
"created_by_name": "username",
"description": "description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"limit": 10,
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by_id": "27bb070b564349f8a31cc60734cc36a5",
"modified_by_name": "username",
"name": "usage-plan-name",
"rate": "day"
}
}
1.12.3 - 1.1
post /v1/apis/{api_id}/usage-plans
Description
사용량 정책을 생성한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| body | body required |
| UsagePlanCreateRequest | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Request body
{
"description": "description",
"limit": 10,
"name": "usage-plan-name",
"rate": "day"
}
Example HTTP response
Response 200
{
"usage_plan": {
"api_keys": [],
"created_at": "2024-01-15T10:30:00.000Z",
"created_by_id": "27bb070b564349f8a31cc60734cc36a5",
"created_by_name": "username",
"description": "description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"limit": 10,
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by_id": "27bb070b564349f8a31cc60734cc36a5",
"modified_by_name": "username",
"name": "usage-plan-name",
"rate": "day"
}
}
1.13 - Delete Access Control
1.13.1 - 1.3
delete /v1/apis/{api_id}/access-controls/{access_control_id}
Description
접근제어를 삭제한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| path | access_control_id required | 접근제어 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/access-controls/{access_control_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 204
1.13.2 - 1.2
delete /v1/apis/{api_id}/access-controls/{access_control_id}
Description
접근제어를 삭제한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| path | access_control_id required | 접근제어 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/access-controls/{access_control_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 204
1.13.3 - 1.1
delete /v1/apis/{api_id}/access-controls/{access_control_id}
Description
접근제어를 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| path | access_control_id required | 접근제어 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/access-controls/{access_control_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Example HTTP response
Response 204
1.13.4 - 1.0
delete /v1/apis/{api_id}/access-controls/{access_control_id}
Description
접근제어를 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| path | access_control_id required | 접근제어 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/access-controls/{access_control_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Example HTTP response
Response 204
1.14 - Delete an API Key
1.14.1 - 1.3
delete /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys/{api_key_id}
Description
API Key를 삭제한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | usage_plan_id required | 사용량 정책 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | api_key_id required | API Key ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys/{api_key_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 204
1.14.2 - 1.2
delete /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys/{api_key_id}
Description
API Key를 삭제한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | usage_plan_id required | 사용량 정책 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | api_key_id required | API Key ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys/{api_key_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 204
1.14.3 - 1.1
delete /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys/{api_key_id}
Description
API Key를 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | usage_plan_id required | 사용량 정책 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | api_key_id required | API Key ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys/{api_key_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Example HTTP response
Response 204
1.15 - Delete Api
1.15.1 - 1.3
delete /v1/apis/{api_id}
Description
API를 삭제한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 31e749b7b260868f441e862b
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 204
1.15.2 - 1.2
delete /v1/apis/{api_id}
Description
API를 삭제한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 31e749b7b260868f441e862b
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 204
1.15.3 - 1.1
delete /v1/apis/{api_id}
Description
API를 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 31e749b7b260868f441e862b
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Example HTTP response
Response 204
1.15.4 - 1.0
delete /v1/apis/{api_id}
Description
API를 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 31e749b7b260868f441e862b
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Example HTTP response
Response 204
1.16 - Delete Auth
1.16.1 - 1.3
delete /v1/apis/{api_id}/auths/{auth_id}
Description
인증을 삭제한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| path | auth_id required | 인증 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/auths/{auth_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 204
1.16.2 - 1.2
delete /v1/apis/{api_id}/auths/{auth_id}
Description
인증을 삭제한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| path | auth_id required | 인증 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/auths/{auth_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 204
1.16.3 - 1.1
delete /v1/apis/{api_id}/auths/{auth_id}
Description
인증을 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| path | auth_id required | 인증 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/auths/{auth_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Example HTTP response
Response 204
1.16.4 - 1.0
delete /v1/apis/{api_id}/auths/{auth_id}
Description
인증을 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| path | auth_id required | 인증 ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/auths/{auth_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Example HTTP response
Response 204
1.17 - Delete Method
1.17.1 - 1.3
delete /v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}
Description
메서드를 삭제한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | resource_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | method_type required | 메서드 유형 Example : GET
| enum (CONNECT, DELETE, GET, HEAD, OPTIONS, PATCH, POST, PUT, TRACE) | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 204
1.17.2 - 1.2
delete /v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}
Description
메서드를 삭제한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | resource_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | method_type required | 메서드 유형 Example : GET
| enum (CONNECT, DELETE, GET, HEAD, OPTIONS, PATCH, POST, PUT, TRACE) | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 204
1.17.3 - 1.1
delete /v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}
Description
메서드를 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | resource_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | method_type required | 메서드 유형 Example : GET
| enum (CONNECT, DELETE, GET, HEAD, OPTIONS, PATCH, POST, PUT, TRACE) | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Example HTTP response
Response 204
1.17.4 - 1.0
delete /v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}
Description
메서드를 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | resource_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | method_type required | 메서드 유형 Example : GET
| enum (CONNECT, DELETE, GET, HEAD, OPTIONS, PATCH, POST, PUT, TRACE) | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Example HTTP response
Response 204
1.18 - Delete PrivateLink Endpoint
1.18.1 - 1.3
delete /v1/privatelink-endpoints/{privatelink_endpoint_id}
Description
PrivateLink 엔드포인트를 삭제한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | privatelink_endpoint_id required | PrivateLink 엔드포인트 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/privatelink-endpoints/{privatelink_endpoint_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 204
1.18.2 - 1.2
delete /v1/privatelink-endpoints/{privatelink_endpoint_id}
Description
PrivateLink 엔드포인트를 삭제한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | privatelink_endpoint_id required | PrivateLink 엔드포인트 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/privatelink-endpoints/{privatelink_endpoint_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 204
1.19 - Delete Resource
1.19.1 - 1.3
delete /v1/apis/{api_id}/resources/{resource_id}
Description
리소스를 삭제한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | resource_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{resource_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 204
1.19.2 - 1.2
delete /v1/apis/{api_id}/resources/{resource_id}
Description
리소스를 삭제한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | resource_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{resource_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 204
1.19.3 - 1.1
delete /v1/apis/{api_id}/resources/{resource_id}
Description
리소스를 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | resource_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{resource_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Example HTTP response
Response 204
1.19.4 - 1.0
delete /v1/apis/{api_id}/resources/{resource_id}
Description
리소스를 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | resource_id required | 리소스 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/resources/{resource_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Example HTTP response
Response 204
1.20 - Delete Resource Policy
1.20.1 - 1.3
delete /v1/apis/{api_id}/resource-policies
Description
리소스 정책을 삭제한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/resource-policies
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 204
1.21 - Delete Stage
1.21.1 - 1.3
delete /v1/apis/{api_id}/stages/{stage_name}
Description
스테이지를 삭제한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | stage_name required | 스테이지명 Example : test-stage
| string | None |
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/stages/{stage_name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 204
1.21.2 - 1.2
delete /v1/apis/{api_id}/stages/{stage_name}
Description
스테이지를 삭제한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | stage_name required | 스테이지명 Example : test-stage
| string | None |
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/stages/{stage_name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 204
1.21.3 - 1.1
delete /v1/apis/{api_id}/stages/{stage_name}
Description
스테이지를 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | stage_name required | 스테이지명 Example : test-stage
| string | None |
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/stages/{stage_name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Example HTTP response
Response 204
1.21.4 - 1.0
delete /v1/apis/{api_id}/stages/{stage_name}
Description
스테이지를 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | stage_name required | 스테이지명 Example : test-stage
| string | None |
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/stages/{stage_name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Example HTTP response
Response 204
1.22 - Delete Usage Plan
1.22.1 - 1.3
delete /v1/apis/{api_id}/usage-plans/{usage_plan_id}
Description
사용량 정책을 삭제한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | usage_plan_id required | 사용량 정책 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans/{usage_plan_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 204
1.22.2 - 1.2
delete /v1/apis/{api_id}/usage-plans/{usage_plan_id}
Description
사용량 정책을 삭제한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | usage_plan_id required | 사용량 정책 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans/{usage_plan_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 204
1.22.3 - 1.1
delete /v1/apis/{api_id}/usage-plans/{usage_plan_id}
Description
사용량 정책을 삭제한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | usage_plan_id required | 사용량 정책 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans/{usage_plan_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Example HTTP response
Response 204
1.23 - List AccessControls
1.23.1 - 1.3
get /v1/apis/{api_id}/access-controls
Description
접근제어 목록을 조회한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/access-controls
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 200
{
"access_controls": [
{
"allowed_ip_addr": [
"127.0.0.1/24,192.168.127.12"
],
"connected_stages": [
"dev,stg"
],
"created_at": "2024-05-19T00:23:17Z",
"description": "",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "DenyTest"
}
],
"count": 20
}
1.23.2 - 1.2
get /v1/apis/{api_id}/access-controls
Description
접근제어 목록을 조회한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/access-controls
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 200
{
"access_controls": [
{
"allowed_ip_addr": [
"127.0.0.1/24,192.168.127.12"
],
"connected_stages": [
"dev,stg"
],
"created_at": "2024-05-19T00:23:17Z",
"description": "",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "DenyTest"
}
],
"count": 20
}
1.23.3 - 1.1
get /v1/apis/{api_id}/access-controls
Description
접근제어 목록을 조회한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/access-controls
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Example HTTP response
Response 200
{
"access_controls": [
{
"allowed_ip_addr": [
"127.0.0.1/24,192.168.127.12"
],
"connected_stages": [
"dev,stg"
],
"created_at": "2024-05-19T00:23:17Z",
"description": "",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "DenyTest"
}
],
"count": 20
}
1.23.4 - 1.0
get /v1/apis/{api_id}/access-controls
Description
접근제어 목록을 조회한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example :
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/access-controls
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Example HTTP response
Response 200
{
"access_controls": [
{
"allowed_ip_addr": [
"127.0.0.1/24,192.168.127.12"
],
"connected_stages": [
"dev,stg"
],
"created_at": "2024-05-19T00:23:17Z",
"description": "",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "DenyTest"
}
],
"count": 20
}
1.24 - List Api Deployments
1.24.1 - 1.3
get /v1/apis/{api_id}/deployments
Description
API 배포 목록을 조회한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 31e749b7b260868f441e862b
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | deployment_id optional | 이름 Example : 27bb070b564349f8a31cc60734cc36a5
| any of [string, null] | None |
| query | stage_name optional | 스테이지명 Example : test-stage
| string | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/deployments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 200
{
"count": 20,
"deployments": [
{
"deployment_date": "2024-05-17T00:23:17Z",
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description",
"status": "Active"
}
]
}
1.24.2 - 1.2
get /v1/apis/{api_id}/deployments
Description
API 배포 목록을 조회한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 31e749b7b260868f441e862b
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | deployment_id optional | 이름 Example : 27bb070b564349f8a31cc60734cc36a5
| any of [string, null] | None |
| query | stage_name optional | 스테이지명 Example : test-stage
| string | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/deployments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 200
{
"count": 20,
"deployments": [
{
"deployment_date": "2024-05-17T00:23:17Z",
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description",
"status": "Active"
}
]
}
1.24.3 - 1.1
get /v1/apis/{api_id}/deployments
Description
API 배포 목록을 조회한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 31e749b7b260868f441e862b
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | deployment_id optional | 이름 Example : 27bb070b564349f8a31cc60734cc36a5
| any of [string, null] | None |
| query | stage_name optional | 스테이지명 Example : test-stage
| string | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/deployments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Example HTTP response
Response 200
{
"count": 20,
"deployments": [
{
"deployment_date": "2024-05-17T00:23:17Z",
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description",
"status": "Active"
}
]
}
1.24.4 - 1.0
get /v1/apis/{api_id}/deployments
Description
API 배포 목록을 조회한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 31e749b7b260868f441e862b
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | deployment_id optional | 이름 Example : 27bb070b564349f8a31cc60734cc36a5
| any of [string, null] | None |
| query | stage_name optional | 스테이지명 Example : test-stage
| string | |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/deployments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"
Example HTTP response
Response 200
{
"count": 20,
"deployments": [
{
"deployment_date": "2024-05-17T00:23:17Z",
"deployment_id": "27bb070b564349f8a31cc60734cc36a5",
"description": "description",
"status": "Active"
}
]
}
1.25 - List Api Keys
1.25.1 - 1.3
get /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys
Description
API Key 목록을 조회한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | usage_plan_id required | 사용량 정책 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | 이름 Example : api-key-name
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 200
{
"api_keys": [
{
"created_at": "2024-01-15T10:30:00.000Z",
"description": "description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"key": "key",
"name": "api-key-name"
}
],
"count": 20
}
1.25.2 - 1.2
get /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys
Description
API Key 목록을 조회한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | usage_plan_id required | 사용량 정책 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | 이름 Example : api-key-name
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 200
{
"api_keys": [
{
"created_at": "2024-01-15T10:30:00.000Z",
"description": "description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"key": "key",
"name": "api-key-name"
}
],
"count": 20
}
1.25.3 - 1.1
get /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys
Description
API Key 목록을 조회한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | api_id required | Api ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| path | usage_plan_id required | 사용량 정책 ID Example : 27bb070b564349f8a31cc60734cc36a5
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | 이름 Example : api-key-name
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Example HTTP response
Response 200
{
"api_keys": [
{
"created_at": "2024-01-15T10:30:00.000Z",
"description": "description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"key": "key",
"name": "api-key-name"
}
],
"count": 20
}
1.26 - List Apis
1.26.1 - 1.3
get /v1/apis
Description
API 목록을 조회한다
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | 이름 Example : test-api
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ApiListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/apis
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.3"
Example HTTP response
Response 200
{
"apis": [
{
"account_id": "27bb070b564349f8a31cc60734cc36a5",
"created_at": "2024-05-17T00:23:17Z",
"description": "Description",
"dns_record_status": "Active",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "test-api",
"status": "Active"
}
],
"count": 20
}
1.26.2 - 1.2
get /v1/apis
Description
API 목록을 조회한다
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | 이름 Example : test-api
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ApiListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/apis
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 200
{
"apis": [
{
"account_id": "27bb070b564349f8a31cc60734cc36a5",
"created_at": "2024-05-17T00:23:17Z",
"description": "Description",
"dns_record_status": "Active",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "test-api",
"status": "Active"
}
],
"count": 20
}
1.26.3 - 1.1
get /v1/apis
Description
API 목록을 조회한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | 이름 Example : test-api
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ApiListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/apis
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"
Example HTTP response
Response 200
{
"apis": [
{
"account_id": "27bb070b564349f8a31cc60734cc36a5",
"created_at": "2024-05-17T00:23:17Z",
"description": "Description",
"dns_record_status": "Active",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "test-api",
"status": "Active"
}
],
"count": 20
}
1.26.4 - 1.0
get /v1/apis
Description
API 목록을 조회한다
상태
ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
[...]
